Package org.apache.tapestry5.spring.modules

## Class SpringModule

- java.lang.Object
- - org.apache.tapestry5.spring.modules.SpringModule

-     @ImportModule(TapestryModule.class)
      public class SpringModule
      extends java.lang.Object

  Module for Tapestry/Spring Integration. This module exists to force the load of the Spring ApplicationContext as part of Tapestry application initialization.
  Since:
    5.1.0.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpringModule​(org.slf4j.Logger logger)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addSymbolSourceAsPropertyCustomizerForSpringBeans​(OrderedConfiguration<ApplicationContextCustomizer> configuration, SymbolSource symbolSource)` |
    `static ApplicationContextCustomizer` | `buildApplicationContextCustomizer​(java.util.List<ApplicationContextCustomizer> configuration, ChainBuilder builder)` | Defines a chain-of-command for handling application context customization.
    `static void` | `defaultExternalSpringContextOff​(MappedConfiguration<java.lang.String,​java.lang.Object> configuration)` |
    `void` | `reportSpringContextDetailsAtStartup​(OrderedConfiguration<ApplicationInitializerFilter> configuration, org.springframework.context.ApplicationContext springContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringModule

          public SpringModule​(org.slf4j.Logger logger)

  - ### Method Detail

    - #### reportSpringContextDetailsAtStartup

          @Contribute(ApplicationInitializer.class)
          @Primary
          public void reportSpringContextDetailsAtStartup​(OrderedConfiguration<ApplicationInitializerFilter> configuration,
                                                          org.springframework.context.ApplicationContext springContext)

    - #### defaultExternalSpringContextOff

          @Contribute(SymbolProvider.class)
          @FactoryDefaults
          public static void defaultExternalSpringContextOff​(MappedConfiguration<java.lang.String,​java.lang.Object> configuration)

    - #### buildApplicationContextCustomizer

          @Marker(Primary.class)
          public static ApplicationContextCustomizer buildApplicationContextCustomizer​(java.util.List<ApplicationContextCustomizer> configuration,
                                                                                       ChainBuilder builder)

      Defines a chain-of-command for handling application context customization. This allows the Spring context to be configured before it is initially refreshed.

    - #### addSymbolSourceAsPropertyCustomizerForSpringBeans

          @Contribute(ApplicationContextCustomizer.class)
          public static void addSymbolSourceAsPropertyCustomizerForSpringBeans​(OrderedConfiguration<ApplicationContextCustomizer> configuration,
                                                                               SymbolSource symbolSource)